{"openapi":"3.0.1","info":{"title":"24-seven-fees-estimates-experience-api","description":"24 Seven Fees Estimates Experience API","version":"1.0.0"},"servers":[{"url":"https://test-api.24sevenfees.com/estimates-experience-api/api"}],"security":[{"bearerAuth":[]}],"paths":{"/quickCalc":{"post":{"description":"Create a new quickCalc","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/quickCalcByEstmateNumberRequestType"}}},"required":false},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}":{"get":{"description":"Obtain basic quickCalc information","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quickCalcByEstmateNumberResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/basicView":{"get":{"description":"Get fee results for a quickCalc as a basic view","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/basicViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/cdView":{"get":{"description":"Get fee results for a quickCalc as a cd view","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/cdViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/altaView":{"get":{"description":"Get fee results for a quickCalc as an Alta view","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/altaViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/loanEstView":{"get":{"description":"Get fee results for a quickCalc as a loan estimage view","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/loanEstimateViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/property/info":{"get":{"description":"Get a list of states, counties, and cities for a provided 5 digit US zip code","parameters":[{"$ref":"#/components/parameters/queryZip"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/recordingFees":{"post":{"tags":["Recording"],"description":"Gather a list of Recording Fees","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/recordingRequest"}}}},"responses":{"201":{"description":"Successful quote creation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/recordingResponse"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/underwriterRates":{"post":{"tags":["Underwriters"],"description":"Gather a list of Underwriter Rates","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/underwritersRequest"}}}},"responses":{"201":{"description":"Successful quote creation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/underwritersResponse"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}}},"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"numberNullable":{"description":"A nullable number value","type":"number","nullable":true},"stringNullable":{"description":"A nullable string value","type":"string","nullable":true},"errorType":{"required":["error","errorId","errorType"],"type":"object","properties":{"error":{"type":"string"},"errorType":{"type":"string"},"errorId":{"type":"string"}}},"currency":{"description":"A US dollar amount in minimum 1 cent increments","type":"number","multipleOf":0.01},"localDate":{"description":"Local Date in ISO 8601 format YYYY-MM-DD","type":"string","pattern":"^(\\d{4})-([0]?[1-9]|[1][0-2])-([0]?[1-9]|[1-2]\\d|[3][0-1])$","example":"2023-08-31"},"state":{"description":"2 letter US state abbreviation","type":"string","enum":["AL","AK","AZ","AR","CA","CO","CT","DE","FL","GA","HI","ID","IL","IN","IA","KS","KY","LA","ME","MD","MA","MI","MN","MS","MO","MT","NE","NV","NH","NJ","NM","NY","NC","ND","OH","OK","OR","PA","RI","SC","SD","TN","TX","UT","VT","VA","WA","WV","WI","WY","DC","MH","GU","AS","CM","PW","PR","TT","VI"],"example":"FL"},"uuid":{"description":"Universal Unique ID used as a specific record reference","type":"string","pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","example":"8e62f89c-cbb0-11ec-9d64-0242ac120002"},"zipCode":{"description":"5 digit US Postal Zip code.  Represented by a string to include prepended zeros.","type":"string","pattern":"^\\d{5}$","example":"90210"},"metadata":{"description":"A Generic key/value type metadata represented as an object. May contain any kind of data.","type":"object"},"address":{"description":"A U.S. style physical address","type":"object","additionalProperties":false,"required":["city","state","zip","county"],"properties":{"line1":{"type":"string"},"line2":{"type":"string","nullable":true},"city":{"type":"string"},"state":{"$ref":"#/components/schemas/state"},"zip":{"$ref":"#/components/schemas/zipCode"},"county":{"type":"string"}}},"split":{"description":"A buyer/seller split","type":"object","required":["buyer","seller"],"properties":{"buyer":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"},"other":{"$ref":"#/components/schemas/currency"}}},"transactionType":{"description":"The transaction type of the call","example":"PURCHASE W/ LOAN","type":"string","enum":["PURCHASE W/ LOAN","CASH","REFINANCE","REVERSE MORTGAGE"]},"basicViewType":{"type":"array","items":{"type":"object","properties":{"header":{"type":"string"},"group":{"type":"string"},"ordinal":{"$ref":"#/components/schemas/currency"},"lineItems":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"amount":{"type":"object","properties":{"buyer":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"},"other":{"$ref":"#/components/schemas/currency"}}}}}},"sectionTotal":{"type":"object","properties":{"buyer":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"},"other":{"$ref":"#/components/schemas/currency"}}}}}},"cdViewType":{"type":"array","items":{"type":"object","properties":{"header":{"type":"string"},"sectionTotal":{"type":"object","properties":{"buyer":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"},"other":{"$ref":"#/components/schemas/currency"}}},"lineItems":{"type":"array","items":{"type":"object","properties":{"description":{"type":"string"},"amount":{"type":"object","properties":{"buyer":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"},"other":{"$ref":"#/components/schemas/currency"}}}}}}}}},"altaViewType":{"type":"array","items":{"type":"object","properties":{"header":{"type":"string"},"lineItems":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"amount":{"type":"object","properties":{"buyerDebit":{"$ref":"#/components/schemas/numberNullable"},"buyerCredit":{"$ref":"#/components/schemas/numberNullable"},"sellerDebit":{"$ref":"#/components/schemas/numberNullable"},"sellerCredit":{"$ref":"#/components/schemas/numberNullable"}}}}}},"sectionTotal":{"type":"object","properties":{"buyerDebit":{"$ref":"#/components/schemas/currency"},"buyerCredit":{"$ref":"#/components/schemas/currency"},"sellerDebit":{"$ref":"#/components/schemas/currency"},"sellerCredit":{"$ref":"#/components/schemas/currency"}}}}}},"loanEstimateViewType":{"type":"array","items":{"required":["lineItems","sectionTotal"],"type":"object","properties":{"header":{"type":"string"},"totalHeader":{"type":"string"},"lineItems":{"type":"array","items":{"required":["amount","description"],"type":"object","properties":{"description":{"type":"string"},"amount":{"$ref":"#/components/schemas/currency"}}}},"sectionTotal":{"$ref":"#/components/schemas/currency"}}}},"quickCalcByEstmateNumberRequestType":{"required":["transactionFile"],"type":"object","properties":{"transactionFile":{"required":["transactionFileType","loanInfo","property","endorsements"],"type":"object","properties":{"transactionFileType":{"$ref":"#/components/schemas/transactionType"},"loanInfo":{"$ref":"#/components/schemas/loanInfo"},"property":{"required":["address"],"type":"object","properties":{"address":{"$ref":"#/components/schemas/quickAddressType"}}},"endorsements":{"$ref":"#/components/schemas/endorsementsType"}}}},"example":{"transactionFile":{"transactionFileType":"PURCHASE W/ LOAN","loanInfo":{"loanAmount":100000,"salesAmount":123000,"downPayment":0},"property":{"address":{"city":"Hollywood","state":"FL","zip":"33019","county":"Broward"}},"endorsements":{"ALTA_7":false,"ALTA_8.1":true,"ALTA_9":true,"ALTA_22.1":false,"ALTA_116.1":false,"ALTA_5":false,"ALTA_4":false,"ALTA_6.2":false}}}},"quickCalcByEstmateNumberResponseType":{"required":["estimateInfo","estimateResults"],"type":"object","properties":{"estimateInfo":{"required":["transactionFile"],"type":"object","properties":{"transactionFile":{"required":["endorsements","loanInfo","property","reissue","selectedAccountId","tierConfigurationUuid","transactionFileType"],"type":"object","properties":{"reissue":{"type":"boolean"},"loanInfo":{"$ref":"#/components/schemas/loanInfo"},"property":{"required":["address"],"type":"object","properties":{"address":{"$ref":"#/components/schemas/quickAddressType"}}},"endorsements":{"$ref":"#/components/schemas/endorsementsType"},"selectedAccountId":{"type":"string"},"transactionFileType":{"type":"string"},"tierConfigurationUuid":{"type":"string"}}}}},"estimateResults":{"type":"array","items":{"required":["group","lineItems","type","vendor"],"type":"object","properties":{"type":{"type":"string"},"group":{"type":"string"},"vendor":{"type":"string"},"requestId":{"type":"string"},"vendorUuid":{"type":"string"},"lineItems":{"type":"array","items":{"required":["amount","name","split"],"type":"object","properties":{"name":{"type":"string"},"split":{"$ref":"#/components/schemas/split"},"amount":{"$ref":"#/components/schemas/currency"},"defaultPaidBy":{"type":"string"}}}},"notes":{"type":"array","items":{"$ref":"#/components/schemas/stringNullable"}},"vendorQuoteData":{"type":"object","properties":{}}}}}}},"loanInfo":{"type":"object","properties":{"loanType":{"type":"string"},"loanAmount":{"$ref":"#/components/schemas/currency"},"downPayment":{"$ref":"#/components/schemas/currency"},"salesAmount":{"$ref":"#/components/schemas/currency"}}},"endorsementsType":{"type":"object","description":"A key/value mapping of endorsement ids and their enabled/disabled state represented by a boolean value.  Example endorsement ids: ALTA_7, ALTA_8.1, ALTA_9, ALTA_22.1, ALTA_116.1, ALTA_5, ALTA_4, ALTA_6.2","additionalProperties":{"type":"boolean"},"example":{"ALTA_7":false,"ALTA_8.1":true,"ALTA_9":true,"ALTA_22.1":false,"ALTA_116.1":false,"ALTA_5":false,"ALTA_4":false,"ALTA_6.2":false}},"quickAddressType":{"required":["county","state","zip"],"type":"object","properties":{"line1":{"type":"string"},"line2":{"type":"string"},"city":{"type":"string"},"state":{"$ref":"#/components/schemas/state"},"zip":{"$ref":"#/components/schemas/zipCode"},"county":{"type":"string"}},"example":{"city":"Hollywood","state":"FL","zip":"33019","county":"Broward"}},"notes":{"description":"A list of notes that reveal details about the resource it's contained within","type":"array","items":{"type":"string"}},"property":{"type":"object","additionalProperties":false,"required":["address"],"properties":{"address":{"$ref":"#/components/schemas/address"},"metadata":{"allOf":[{"$ref":"#/components/schemas/metadata"},{"description":"Additional metadata associated with the property.  Such as a New Mexico location code. Typically an empty object"}]}},"example":{"address":{"line1":"123 W Chicago Ave","line2":"","city":"Chicago","state":"IL","zip":"60654","county":"Cook"}}},"feeType":{"type":"string","example":"Recording","enum":["Underwriter","Settlement","Lender","Recording","Commission","Proration","Other"]},"fee":{"description":"A rate or fee item","type":"object","additionalProperties":false,"required":["name","type","split","amount","messages"],"properties":{"name":{"description":"The name of the rate/fee","example":"Transfer Tax Amount - City (Deed)","type":"string"},"type":{"$ref":"#/components/schemas/feeType"},"typeDetail":{"description":"Additional identifying information about the type of rate","example":"Deed","type":"string"},"split":{"$ref":"#/components/schemas/split"},"amount":{"$ref":"#/components/schemas/currency"},"messages":{"$ref":"#/components/schemas/notes"},"rateEffectiveDate":{"$ref":"#/components/schemas/localDate"}}},"lineItemList":{"type":"array","items":{"$ref":"#/components/schemas/fee"},"example":{"$ref":"#/components/examples/lineItemsRecordingExample"}},"recordingRequest":{"title":"Recording Request","type":"object","additionalProperties":false,"required":["transactionType","property","salesAmount","loanAmount"],"properties":{"transactionType":{"$ref":"#/components/schemas/transactionType"},"property":{"$ref":"#/components/schemas/property"},"salesAmount":{"allOf":[{"$ref":"#/components/schemas/currency"},{"example":500000}]},"loanAmount":{"allOf":[{"$ref":"#/components/schemas/currency"},{"example":400000}]}}},"recordingResponse":{"title":"Recording Response","type":"object","additionalProperties":false,"properties":{"type":{"allOf":[{"$ref":"#/components/schemas/feeType"},{"example":"Recording"}]},"vendor":{"type":"string","description":"Name of the source vendor which is providing the listed rates and fees","example":"24 Seven Fees RFTT"},"vendorUuid":{"allOf":[{"$ref":"#/components/schemas/uuid"},{"description":"UUID of vendor source for debugging and verification"},{"example":"70658770-8325-11e9-a136-0242ac130002"}]},"lineItems":{"$ref":"#/components/schemas/lineItemList"},"notes":{"$ref":"#/components/schemas/notes"},"sourceMetadata":{"allOf":[{"$ref":"#/components/schemas/metadata"},{"description":"Additional response data provided from the source vendor"}]}}},"underwritersRequest":{"title":"Underwriter Request","type":"object","additionalProperties":false,"required":["transactionType","property","salesAmount","loanAmount","estimatedClosingDate"],"properties":{"transactionType":{"$ref":"#/components/schemas/transactionType"},"property":{"$ref":"#/components/schemas/property"},"salesAmount":{"$ref":"#/components/schemas/currency"},"loanAmount":{"$ref":"#/components/schemas/currency"},"reissue":{"description":"Indicates if this transaction is a reissue","type":"boolean"},"endorsements":{"description":"A list of endorsements by name","type":"array","items":{"type":"string"},"example":["COMPREHENSIVE ENDORSEMENT","EPA ENDORSEMENT"]},"estimatedClosingDate":{"$ref":"#/components/schemas/localDate"}}},"underwritersResponse":{"title":"Underwriter Response","type":"object","properties":{"type":{"allOf":[{"$ref":"#/components/schemas/feeType"},{"example":"Underwriter"}]},"vendor":{"type":"string","description":"Name of the source vendor which is providing the listed rates and fees","example":"Old Republic National Title Insurance Company"},"vendorUuid":{"allOf":[{"$ref":"#/components/schemas/uuid"},{"description":"UUID of vendor source for debugging and verification"},{"example":"ab84df30-e31d-11ea-a71f-9fb07abc474d"}]},"lineItems":{"allOf":[{"$ref":"#/components/schemas/lineItemList"},{"example":{"$ref":"#/components/examples/lineItemsUnderwritersExample"}}]},"notes":{"$ref":"#/components/schemas/notes"},"sourceMetadata":{"$ref":"#/components/schemas/metadata"}}}},"parameters":{"pathEstimateNumber":{"description":"An estimate number provided by the response of a successful quickCalc post call","name":"estimateNumber","in":"path","required":true,"schema":{"type":"string"},"example":"FL-1155-QC"},"queryZip":{"name":"zip","in":"query","required":true,"schema":{"$ref":"#/components/schemas/zipCode"}}},"responses":{"generic200":{"description":"Success","content":{"*/*":{"schema":{"type":"object"}}}},"generic201":{"description":"Updated","content":{"*/*":{"schema":{"type":"object"}}}},"generic400":{"description":"Bad Request Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/errorType"}}}},"generic401":{"description":"Unauthorized Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/errorType"}}}},"generic403":{"description":"Forbidden Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/errorType"}}}},"generic404":{"description":"Not Found Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/errorType"}}}},"generic500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/errorType"}}}}},"examples":{"lineItemsRecordingExample":{"value":[{"name":"Transfer Tax Amount -  State (Deed)","type":"Recording","typeDetail":"Deed","split":{"buyer":0,"seller":123,"other":0},"amount":123,"messages":[]},{"name":"Transfer Tax Amount - County (Deed)","type":"Recording","typeDetail":"Deed","split":{"buyer":0,"seller":61.5,"other":0},"amount":61.5,"messages":[]},{"name":"Transfer Tax Amount - City (Deed)","type":"Recording","typeDetail":"Deed","split":{"buyer":0,"seller":1291.5,"other":0},"amount":1291.5,"messages":[]}]},"lineItemsUnderwritersExample":{"value":[{"name":"Old Republic National Title Insurance Company Owners Policy (Basic)","type":"Underwriter","typeDetail":"OWNERS POLICY","split":{"buyer":2345,"seller":0,"other":0},"amount":2345,"messages":[],"rateEffectiveDate":"2021-02-01"},{"name":"Old Republic National Title Insurance Company Simultaneous Issue (Basic)","type":"Underwriter","typeDetail":"SIMULTANEOUS ISSUE","split":{"buyer":550,"seller":0,"other":0},"amount":550,"messages":["Simultaneous rates applied"],"rateEffectiveDate":"2021-02-01"},{"name":"COMPREHENSIVE ENDORSEMENT","type":"Underwriter","typeDetail":"ENDORSEMENT","split":{"buyer":180,"seller":0,"other":0},"amount":180,"messages":[],"rateEffectiveDate":"2022-02-22"}]}}}}